EDIT - bug #7638

problem with media data missing meta data
08/08/2018 02:39 PM - Katja Luther

Status: Resolved Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.2

Severity: normal Found in Version:

Description

media imported via biocase sometimes do not show size and metadata and or exception "file not found”
AM:

Bei der Media Datei http://herbarium.univie.ac.at/database/image.php?filename=947084&method=europeana wird im Simple Media
View ,No file found” angezeigt. Im Advanced view ebenfalls, es wird aber trotzdem das Bild angezeigt

Associated revisions

Revision c80855f5 - 08/08/2018 02:49 PM - Katja Luther

do not set size etc to 0 if loading meta data fails

Revision 633a72e4 - 08/08/2018 02:51 PM - Katja Luther

do not throw an exception if metadata could not be loaded

History

#1 - 08/08/2018 02:41 PM - Katja Luther

the original exception is:

java.io.IOException: Could not read block (block start: 504, block length: 42453504, data length: 2040).
at org.apache.sanselan.common.byteSources.ByteSourceArray.getBlock (ByteSourceArray. java:47)
at org.apache.sanselan.formats.tiff.TiffReader.getTiffRawImageData (TiffReader. java:461)
at org.apache.sanselan.formats.tiff.TiffReader.readDirectory (TiffReader. java:216)
at org.apache.sanselan.formats.tiff.TiffReader.readDirectory (TiffReader.java:110)
at org.apache.sanselan.formats.tiff.TiffReader.readDirectories (TiffReader.java:101)
at org.apache.sanselan.formats.tiff.TiffReader.read(TiffReader. java:448)
at org.apache.sanselan.formats.tiff.TiffReader.readContents (TiffReader. java:438)
at org.apache.sanselan.formats.tiff.TiffImageParser.getMetadata (TiffImageParser.java:124)
at org.apache.sanselan.ImageParser.getMetadata (ImageParser. java:81)
at org.apache.sanselan.formats. jpeg.JdpeglmageParser.getExifMetadata (JpegImageParser. java:366)
at org.apache.sanselan.formats. jpeg.JpeglmageParser.getMetadata (JpegImageParser. java:307)
at org.apache.sanselan.Sanselan.getMetadata (Sanselan. java:978)
at org.apache.sanselan.Sanselan.getMetadata (Sanselan.java:923)
at org.apache.sanselan.Sanselan.getMetadata (Sanselan.java:896)
at eu.etaxonomy.cdm.common.media.ImageInfo.readMetaData (ImageInfo.java:135)
at eu.etaxonomy.cdm.common.media.ImageInfo.NewInstanceWithMetaData (ImageInfo. java:56)

and is a result of missing meta data, opening an image with meta data does not throw an exception.

#2 - 08/08/2018 02:54 PM - Katja Luther

now the size is not set to 0 if an exception appears because of missing metadata.

#3 - 08/14/2018 09:46 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#4 - 08/16/2018 04:33 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther
http://herbarium.univie.ac.at/database/image.php?filename=947084&method=europeana

Size is empty now, but heigth and width is still 0. Is this wanted or did you forget to handle them similarly?

#5 - 08/21/2018 11:25 AM - Katja Luther

The media file above does not exist, clicking on the link results in:
Sorry, no connection ...

Sorry, no connection to database ...

if there are data for size, height and width, they should be shown now.
#6 - 09/17/2018 02:14 PM - Andreas Miiller

- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller
